Bug 1740181 - spausedd does not detect VMGuestLib [rhel-7.7.z]
Summary: spausedd does not detect VMGuestLib [rhel-7.7.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: corosync
Version: 7.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1737884
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 12:18 UTC by RAD team bot copy to z-stream
Modified: 2019-09-03 19:21 UTC (History)
8 users (show)

Fixed In Version: corosync-2.4.3-6.el7_7.1
Doc Type: Bug Fix
Doc Text:
Previously, spausedd service was not compiled with support for VMGuestLib so steal time was not reported for VM running under VMWare hypervisor. This is now fixed and spausedd reports steal time for VM running under VMWare hypervisor.
Clone Of: 1737884
Environment:
Last Closed: 2019-09-03 17:42:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1217663 None None None 2019-09-03 19:20:45 UTC
Red Hat Knowledge Base (Solution) 4340901 None None None 2019-09-03 19:21:45 UTC
Red Hat Product Errata RHBA-2019:2610 None None None 2019-09-03 17:42:37 UTC

Description RAD team bot copy to z-stream 2019-08-12 12:18:29 UTC
This bug has been copied from bug #1737884 and has been proposed to be backported to 7.7 z-stream (EUS).

Comment 2 Jan Friesse 2019-08-16 07:17:31 UTC
Change only in spec file, so distgit has no added patch. Also change of service file permissions (removal of exec flag) is handled too:

Proposed patch:
@@ -178,13 +178,14 @@ make %{_smp_mflags}
 
 %if %{with spausedd}
 cd spausedd-%{spausedd_version}
+CFLAGS="${CFLAGS:-%{optflags}}" ; export CFLAGS
 make \
 %if %{defined use_vmguestlib}
     WITH_VMGUESTLIB=1 \
 %else
     WITH_VMGUESTLIB=0 \
 %endif
-    %{?_smp_mflags} CFLAGS="%{optflags}"
+    %{?_smp_mflags}
 %endif
 
 %install
@@ -236,7 +237,7 @@ make DESTDIR="%{buildroot}" PREFIX="%{_prefix}" install
 
 %if %{with systemd}
 mkdir -p %{buildroot}/%{_unitdir}
-install -m 755 -p init/spausedd.service %{buildroot}/%{_unitdir}
+install -m 644 -p init/spausedd.service %{buildroot}/%{_unitdir}
 %else
 mkdir -p %{buildroot}/%{_initrddir}
 install -m 755 -p init/spausedd %{buildroot}/%{_initrddir}
@@ -627,6 +628,12 @@ fi

Comment 6 errata-xmlrpc 2019-09-03 17:42:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2610


Note You need to log in before you can comment on or make changes to this bug.